Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.principal
Class WLSUserImpl

    java.lang.Object
      |
      +--weblogic.security.principal.WLSAbstractPrincipal
            |
            +--weblogic.security.principal.WLSUserImpl

public final class WLSUserImpl
extends WLSAbstractPrincipal
implements WLSUser

The `WLSUserImpl` is a convenience class that implements a `WLSUser` principal whose name field will be signed by the PrincipalValidatorImpl class. To use this class, you should make the `PrincipalValidatorImpl` class the runtime class for your Principal Validation provider, or extend that class and make the extended class your Principal Validation provider.

Note: Use of this class is not required by WebLogic Server. It is simply a convenience class.

Author:
  Copyright (c) 2003 by BEA. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`WLSUserImpl(java.lang.String userName)` Constructs a principal that represents a WebLogic Server user.

Methods inherited from class weblogic.security.principal.WLSAbstractPrincipal
`equals, getName, getSalt, getSignature, getSignedData, hashCode, setName, setSalt, setSignature, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WLSUserImpl

    public WLSUserImpl(java.lang.String userName)

  Constructs a principal that represents a WebLogic Server user.

  Parameters:
    `userName` - the name of the user, represented as a String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference